/*
 * @Description:5 * @Date: 2020-06-03 09:32:04
 * @Author: 吳星萍 iris@e-besthealth.com
 * @LastEditors: 吳星萍 iris@e-besthealth.com
 * @LastEditTime: 2020-06-19 11:16:29
 * @copyright: BEST HEALTH ELECTRONIC INC (c) 2019
 */
#include "common.h"

void main()
{
	// 判斷是否為上電復位或者非正常情況下的復位
	// 如果是上電復位，執行上電復位初始化，反之執行WDT溢出初始化
	if (_to == 0 || _pdf ==0)
	{
		// System
		Drv_SysClockInit();
		Drv_RamInit();
		SET_WDTTIME_125MS();
		SET_LVR_1V9();

//		// Time demo
//		Drv_PTMn_Timer_Init(0, TIMECLOCK_FSYS_4,1000);
//		SET_PTMn_COUNTER_ON(0);

//		// PWM demo
		Drv_PTMn_PWM_Init(0, TIMECLOCK_FSYS,400);
		SET_PTMn_COUNTER_ON(0);

	}
	else
	{
		// WDT溢出復位初始化
		GCC_CLRWDT();

	}
	//主循環
	while(1)
	{
		GCC_CLRWDT();
		//time demo
//		if(PTM0_FLAG==1)
//		{
//			//user cede
//			PTM0_FLAG=0;	
//		}
	}
}